Subject: Re: linux-next: Signed-off-by missing for commit in the rdma-fixes tree

From: Leon Romanovsky <[email-masked]>
Date: Thu, 8 Mar 2018 15:38:30 +0200

On Thu, Mar 08, 2018 at 08:28:45AM -0500, Doug Ledford wrote:
> On Thu, 2018-03-08 at 08:09 +0200, Leon Romanovsky wrote:
> > On Thu, Mar 08, 2018 at 04:40:58PM +1100, Stephen Rothwell wrote:
> > > Hi all,
> > >
> > > Commit
> > >
> > >   aa0de36a40f4 ("RDMA/mlx5: Fix integer overflow while resizing CQ")
> > >
> > > is missing a Signed-off-by from its author.
> >
> > Doug, something went wrong with your scripts
> >
> > In patchworks it is with SOB and lengthy commit message:
> > https://patchwork.kernel.org/patch/10264089/
> >
> > In the tree, it is cut:
> > https://git.kernel.org/pub/scm/linux/kernel/git/rdma/rdma.git/commit/?h=for-rc&id=aa0de36a40f446f5a21a7c1e677b98206e242edb
>
> I use git am -s <mboxfile> to bring the patch in, so this usually
> indicates that there was something wrong with the email and it caused
> patchworks to improperly parse it.  Sure enough, when I look in
> patchworks (https://patchwork.kernel.org/patch/10264089/, the exact link
> you listed above so I'm surprised you didn't catch this), patchworks
> parsed that separator line you put in the commit message:
> ====================================================================
> as the end of message and start of patch.  So, in patchworks, that line
> and everything after it is considered part of the patch and not part of
> the message.  So, when I download the mbox file, patchworks placed this:
>
> ---
> 2.6.12
>
> at the end of the truncated commit message, so git am would also ignore
> everything after your separator line.
>
> Anyway, I've hand edited the mbox file and I pushed a rebased version of
> my wip branch.  However, during the night Jason must have moved my
> wip/for-rc branch to the official for-rc because it's there now, so the
> only way to fix this (that I know of) in our official for-rc branch is a
> rebase :-(

It is harmless and not worth of rebase at all. Leave it as is. Thanks Doug.

>
> FWIW, be careful using those big separator lines like that.  They can
> and, as you see here, do trip up the automated tools sometimes :-(.
> Would be better to just not put a guard around the copied in stuff.

I'll do and will clean it from my next patches.

Thanks again.

>
> --
> Doug Ledford <[email-masked]>
>     GPG KeyID: B826A3330E572FDD
>     Key fingerprint = AE6B 1BDA 122B 23B4 265B  1274 B826 A333 0E57 2FDD